unless Vagrant.has_plugin?("vagrant-vbguest")
  raise "The “vagrant-vbguest” plugin is not installed.\n"\
        "Run `vagrant plugin install vagrant-vbguest` to install it."
end

Vagrant.configure("2") do |config|
  config.vm.box = "centos/7"

  config.vm.provision "shell", inline: <<-SHELL
    yum install -y docker
    systemctl --now enable docker
  SHELL

  config.vm.synced_folder ".", "/vagrant", type: "virtualbox"
end
